.frms{
  margin-top: 10px;
  margin-left: 5vw;
  width: 100%;
  max-width: 500px;
}



.form-row {
  display: grid;
  grid-template-columns: 1fr; 
  gap: 1px;                   
  margin-bottom: 10px;        
}

.form-row input {
  width: 90%;
  padding: 2px;
  box-sizing: border-box;
}

.form-title h2 {
  font-size: clamp(1.2rem, 4.5vw, 1.8rem); /* Fluid sizing */
  margin: 0.6rem;
}

.frm_login{
  line-height: 0.7rem;
}
.lgin_nick{
  width: 250px;
  margin-bottom: 0.6rem;
}
.lgin_pass{
  width: 250px;
  margin-bottom: 0.6rem;
}
.submit_btn {
  width: 90%; 
  background-color: rgb(9, 29, 46);
  color: rgb(245, 248, 251);
  padding: 15px;
  font-size: 1rem;
  cursor: pointer;
}

.login_btn{
  padding: 2px 12px;
  background-color: var(--secondary);
  color: var(--bg);
}
.sm_note{
  font-size: 0.8rem;
  font-weight: italic;
}


/* DESKTOP STYLES (Screen wider than 1024px) */
@media (min-width: 768px) {
  .form-row {
    /* The 30/70 split you requested */
    grid-template-columns: 26% 60%; 
    align-items: center; /* Vertically centers the text with the box */
    gap: 5px;
    
  }

  .form-row label {
    text-align: right; /* Standard look for horizontal forms */
    white-space: nowrap;
  }

  .form-title, 
  .form-button-container {
    grid-column: 2; 
  }
}